Skip to main content
POST
/
external-task
/
{id}
/
extendLock
Extend Lock
curl --request POST \
  --url http://{host}:{port}/{contextPath}/external-task/{id}/extendLock \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "workerId": "anId",
  "newDuration": 100000
}
'
{
  "type": "<string>",
  "message": "<string>",
  "code": 123
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

id
string
required

The id of the external task.

Body

application/json
newDuration
integer<int64> | null

An amount of time (in milliseconds). This is the new lock duration starting from the current moment.

workerId
string

Mandatory. The ID of the worker who is performing the operation on the external task. If the task is already locked, must match the id of the worker who has most recently locked the task.

Response

Request successful.